%define         major       0
%define         libname     %mklibname pslib %{major}
%define         develname   %mklibname pslib -d

%define         docfiles    AUTHORS COPYING ChangeLog README

Name:           pslib
Summary:        A C-library for generating multi-pages PostScript documents
Version:        0.4.8
Release:        %mkrel 1
License:        GPLv2
Group:          System/Libraries

URL:            https://pslib.sourceforge.net/
Source0:        https://prdownloads.sourceforge.net/pslib/pslib-%{version}.tar.gz
Patch1:		pslib-0.4.5-linking.patch
BuildRequires:  glibc-devel
BuildRequires:  autoconf
BuildRequires:  libtool
BuildRequires:  gettext
BuildRequires:  gettext-devel
BuildRequires:  intltool
BuildRequires:  glib2-devel
BuildRequires:  pkgconfig(libjpeg)
BuildRequires:  pkgconfig(libpng)
BuildRequires:  libungif-devel
BuildRequires:  pkgconfig(libtiff-4)
BuildRequires:  perl(XML::Parser)
BuildRequires:  docbook-to-man
BuildRequires:  docbook-utils

%description
%{summary}.

%package data
Summary:	Data files for %{name}
Group:		System/Libraries
BuildArch:	noarch
Conflicts:	%{_lib}pslib0 < 0.4.5-11

%description data
Data and internalization files for %{name}.

%package -n     %{libname}
Summary:	A C-library for generating multi-pages PostScript documents
Group:		System/Libraries
Requires:	%{name}-data >= %{version}-%{release}

%description -n %{libname}
Pslib is a C-library for generating multi page PostScript documents. There are
functions for drawing lines, arcs, rectangles, curves, etc. Pslib also provides
very sophisticated functions for text output including hyphenation and kerning.

%package -n     %{develname}
Summary:        Static library and header files for the PSlib library
Group:          Development/C
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       lib%{name}-devel = %{version}-%{release}
Conflicts:	%{_lib}pslib0 < 0.4.5-11

%description -n %{develname}
%{summary}.

%prep
%setup -q
%autopatch -p1

chmod 644 %docfiles

%build
#fix build on aarch64
autoreconf -vfi

%configure --disable-static
%make_build

%install
%make_install

find %{buildroot} -name '*.la' -delete

%find_lang %{name}

%files -n %{libname}
%doc %docfiles
%{_libdir}/*.so.%{major}{,.*}

%files data -f %{name}.lang
%{_datadir}/%{name}/

%files -n %{develname}
%{_includedir}/libps/
%{_libdir}/*.so
%{_libdir}/pkgconfig/*
%{_mandir}/man3/*


%changelog
* Thu Sep 05 2024 eatdirt <eatdirt> 0.4.8-1.mga10
+ Revision: 2093199
- Update to version 0.4.8

* Mon Dec 12 2022 ns80 <ns80> 0.4.7-3.mga9
+ Revision: 1921136
- rebuild for new libtiff

* Mon Mar 28 2022 umeabot <umeabot> 0.4.7-2.mga9
+ Revision: 1830368
- Mageia 9 Mass Rebuild

* Fri Sep 04 2020 eatdirt <eatdirt> 0.4.7-1.mga8
+ Revision: 1621792
- Upgrade to version 4.6.7

* Wed Mar 18 2020 eatdirt <eatdirt> 0.4.6-2.mga8
+ Revision: 1557818
- Fix wrong usage of configure macro

* Wed Mar 18 2020 eatdirt <eatdirt> 0.4.6-1.mga8
+ Revision: 1557811
- Upgrade to version 0.4.6

* Fri Feb 14 2020 umeabot <umeabot> 0.4.5-13.mga8
+ Revision: 1516177
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 0.4.5-12.mga7
+ Revision: 1300392
- Mageia 7 Mass Rebuild

* Tue Jun 12 2018 wally <wally> 0.4.5-11.mga7
+ Revision: 1236532
- fix build on aarch64
- add patch to fix linking
- move man pages to devel pkg
- create data pkg for data files and lang files
- disable static build

* Sat Feb 06 2016 luigiwalser <luigiwalser> 0.4.5-10.mga6
+ Revision: 939946
- add patch from omdv to fix build with giflib 5
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.4.5-9.mga5
+ Revision: 749682
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.4.5-8.mga5
+ Revision: 687815
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.4.5-7.mga4
+ Revision: 525920
- Mageia 4 Mass Rebuild

* Sun Jun 02 2013 fwang <fwang> 0.4.5-6.mga4
+ Revision: 434973
- rebuild for new libpng

* Sun Jan 13 2013 umeabot <umeabot> 0.4.5-5.mga3
+ Revision: 378282
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 eatdirt <eatdirt> 0.4.5-4.mga3
+ Revision: 343179
- Fix build failure with new automake

* Mon Nov 05 2012 eatdirt <eatdirt> 0.4.5-3.mga3
+ Revision: 314521
- rebuild for mga3

* Fri Dec 23 2011 fwang <fwang> 0.4.5-2.mga2
+ Revision: 186422
- rebuild for new libtiff

* Fri Dec 09 2011 eatdirt <eatdirt> 0.4.5-1.mga2
+ Revision: 179621
- Upgrade to 0.4.5, .la files removed, specfile cleaned
+ obgr_seneca <obgr_seneca>
- removed la files

* Tue Sep 20 2011 fwang <fwang> 0.4.1-7.mga2
+ Revision: 146006
- fix build with libpng 1.5
- rebuild for new libpng

* Mon Feb 07 2011 spuhler <spuhler> 0.4.1-6.mga1
+ Revision: 48226
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package pslib

